-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.50-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema f1_2013
--

CREATE DATABASE IF NOT EXISTS f1_2013;
USE f1_2013;

--
-- Definition of table `circuitos`
--

DROP TABLE IF EXISTS `circuitos`;
CREATE TABLE `circuitos` (
  `clave_circuito` smallint(5) NOT NULL,
  `nombre` varchar(20) DEFAULT NULL,
  `gp` varchar(50) DEFAULT NULL,
  `nacion` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`clave_circuito`),
  KEY `nacionescircuitos` (`nacion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `circuitos`
--

/*!40000 ALTER TABLE `circuitos` DISABLE KEYS */;
INSERT INTO `circuitos` (`clave_circuito`,`nombre`,`gp`,`nacion`) VALUES 
 (1,'Albert Park','Australia','AUS'),
 (2,'Sepang','Malasia','MAL'),
 (3,'Shanghai','China','CHI'),
 (4,'Sakhir','Bahrein','BAH'),
 (5,'Montmelo','España','ESP'),
 (6,'Montecarlo','Monaco','MON'),
 (7,'Gilles Villeneuve','Canada','CAN'),
 (8,'Silverstone','Gran Bretaña','GBR'),
 (9,'Nurburgring','Alemania','ALE'),
 (10,'Hungaroring','Hungria','HUN'),
 (11,'Spa-Francochamps','Belgica','BEL'),
 (12,'Monza','Italia','ITA'),
 (13,'Marina Bay','Singapur','SIN'),
 (14,'Yeongam','Corea del Sur','KOR'),
 (15,'Suzuka','Japón','JAP'),
 (16,'Buddh','India','IND'),
 (17,'Yas Marina','Abu Dhabi','ABU'),
 (18,'Austin','Estados Unidos','USA'),
 (19,'Interlagos','Brasil','BRA');
/*!40000 ALTER TABLE `circuitos` ENABLE KEYS */;


--
-- Definition of table `equipos`
--

DROP TABLE IF EXISTS `equipos`;
CREATE TABLE `equipos` (
  `clave_equipo` varchar(3) NOT NULL,
  `nombre` varchar(20) DEFAULT NULL,
  `foto` longblob,
  `nacion` varchar(3) DEFAULT NULL,
  PRIMARY KEY (`clave_equipo`),
  KEY `nacionesequipos` (`nacion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `equipos`
--

/*!40000 ALTER TABLE `equipos` DISABLE KEYS */;
INSERT INTO `equipos` (`clave_equipo`,`nombre`,`foto`,`nacion`) VALUES 
 ('CAT','Caterham','','FRA'),
 ('FER','Ferrari','','ITA'),
 ('IND','Force India','','IND'),
 ('LOT','Lotus','','GBR'),
 ('MAR','Marussia','','GBR'),
 ('MCL','McLaren','','GBR'),
 ('MER','Mercedes','','ALE'),
 ('RED','Red Bull','','GBR'),
 ('SAU','Sauber','','SUI'),
 ('TOR','Toro Rosso','','ITA'),
 ('WIL','Williams','','GBR');
/*!40000 ALTER TABLE `equipos` ENABLE KEYS */;


--
-- Definition of table `naciones`
--

DROP TABLE IF EXISTS `naciones`;
CREATE TABLE `naciones` (
  `clave_nacion` varchar(50) NOT NULL,
  `pais` varchar(50) DEFAULT NULL,
  `bandera` longblob,
  PRIMARY KEY (`clave_nacion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `naciones`
--

/*!40000 ALTER TABLE `naciones` DISABLE KEYS */;
INSERT INTO `naciones` (`clave_nacion`,`pais`,`bandera`) VALUES 
 ('ABU','Abu Dhabi',''),
 ('ALE','Alemania',''),
 ('AUS','Australia',''),
 ('BAH','Bahrein',''),
 ('BEL','Belgica',''),
 ('BRA','Brasil',''),
 ('CAN','Canada',''),
 ('CHI','China',''),
 ('ESP','España',''),
 ('FIN','Finlandia',''),
 ('FRA','Francia',''),
 ('GBR','Gran Bretaña',''),
 ('HOL','Holanda',''),
 ('HUN','Hungria',''),
 ('IND','India',''),
 ('ITA','Italia',''),
 ('JAP','Japon',''),
 ('KOR','Corea del Sur',''),
 ('MAL','Malasia',''),
 ('MEX','Mexico',''),
 ('MON','Monaco',''),
 ('POL','Polonia',''),
 ('RUS','Rusia',''),
 ('SIN','Singapur',''),
 ('SUI','Suiza',''),
 ('TUR','Turquia',''),
 ('USA','Estados Unidos',''),
 ('VEN','Venezuela','');
/*!40000 ALTER TABLE `naciones` ENABLE KEYS */;


--
-- Definition of table `pilotos`
--

DROP TABLE IF EXISTS `pilotos`;
CREATE TABLE `pilotos` (
  `clave_piloto` varchar(3) NOT NULL,
  `nombre` varchar(25) DEFAULT NULL,
  `foto` longblob,
  `numero` smallint(5) DEFAULT NULL,
  `equipo` varchar(3) DEFAULT NULL,
  `nacion` varchar(3) DEFAULT NULL,
  PRIMARY KEY (`clave_piloto`),
  KEY `equipospilotos` (`equipo`),
  KEY `nacionespilotos` (`nacion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pilotos`
--

/*!40000 ALTER TABLE `pilotos` DISABLE KEYS */;
INSERT INTO `pilotos` (`clave_piloto`,`nombre`,`foto`,`numero`,`equipo`,`nacion`) VALUES 
 ('ALO','Fernando Alonso','',3,'FER','ESP'),
 ('BIA','Jules Bianchi','',21,'MAR','FRA'),
 ('BOT','Valteri Bottas','',17,'WIL','FIN'),
 ('BUT','Jenson Button','',5,'MCL','GBR'),
 ('CHI','Max Chilton','',22,'MAR','GBR'),
 ('GAR','Giedo Van der Garde','',19,'CAT','HOL'),
 ('GRO','Romain Grosjean','',8,'LOT','ITA'),
 ('GUT','Esteban Gutierrez','',12,'SAU','MEX'),
 ('HAM','Lewis Hamilton','',10,'MER','GBR'),
 ('HUL','Nico Hulkemberg','',11,'SAU','ALE'),
 ('MAL','Pastor Maldonado','',18,'WIL','VEN'),
 ('MAS','Felipe Massa','',4,'FER','BRA'),
 ('PER','Sergio Pérez','',6,'MCL','MEX'),
 ('PIC','Charles Pic','',20,'CAT','FRA'),
 ('RAI','Kimi Raikkonen','',7,'LOT','FIN'),
 ('RES','Paul di Resta','',13,'IND','ITA'),
 ('RIC','Daniel Ricciardo','',16,'TOR','AUS'),
 ('ROS','Nico Rosberg','',9,'MER','ALE'),
 ('SUT','Adrian Sutil','',14,'IND','BRA'),
 ('VER','Eric Vergne','',15,'TOR','FRA'),
 ('VET','Sebastian Vetel','',1,'RED','ALE'),
 ('WEB','Mark Weber','',2,'RED','AUS');
/*!40000 ALTER TABLE `pilotos` ENABLE KEYS */;


--
-- Definition of table `puntos`
--

DROP TABLE IF EXISTS `puntos`;
CREATE TABLE `puntos` (
  `posicion` smallint(5) NOT NULL,
  `puntos` smallint(5) DEFAULT NULL,
  PRIMARY KEY (`posicion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `puntos`
--

/*!40000 ALTER TABLE `puntos` DISABLE KEYS */;
INSERT INTO `puntos` (`posicion`,`puntos`) VALUES 
 (1,25),
 (2,18),
 (3,15),
 (4,12),
 (5,10),
 (6,8),
 (7,6),
 (8,4),
 (9,2),
 (10,1);
/*!40000 ALTER TABLE `puntos` ENABLE KEYS */;


--
-- Definition of table `resultados`
--

DROP TABLE IF EXISTS `resultados`;
CREATE TABLE `resultados` (
  `circuito` smallint(5) NOT NULL,
  `posicion` smallint(5) NOT NULL,
  `piloto` varchar(3) DEFAULT NULL,
  PRIMARY KEY (`circuito`,`posicion`),
  KEY `circuitosresultados1` (`circuito`),
  KEY `puntosresultados1` (`posicion`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resultados`
--

/*!40000 ALTER TABLE `resultados` DISABLE KEYS */;
INSERT INTO `resultados` (`circuito`,`posicion`,`piloto`) VALUES 
 (1,1,'RAI'),
 (1,2,'ALO'),
 (1,3,'VET'),
 (1,4,'MAS'),
 (1,5,'HAM'),
 (1,6,'WEB'),
 (1,7,'SUT'),
 (1,8,'RES'),
 (1,9,'BUT'),
 (1,10,'GRO'),
 (2,1,'VET'),
 (2,2,'WEB'),
 (2,3,'HAM'),
 (2,4,'ROS'),
 (2,5,'MAS'),
 (2,6,'GRO'),
 (2,7,'RAI'),
 (2,8,'HUL'),
 (2,9,'PER'),
 (2,10,'VER'),
 (3,1,'ALO'),
 (3,2,'RAI'),
 (3,3,'HAM'),
 (3,4,'VET'),
 (3,5,'BUT'),
 (3,6,'MAS'),
 (3,7,'RIC'),
 (3,8,'RES'),
 (3,9,'GRO'),
 (3,10,'HUL'),
 (4,1,'VET'),
 (4,2,'RAI'),
 (4,3,'GRO'),
 (4,4,'RES'),
 (4,5,'HAM'),
 (4,6,'PER'),
 (4,7,'WEB'),
 (4,8,'ALO'),
 (4,9,'ROS'),
 (4,10,'BUT'),
 (5,1,'ALO'),
 (5,2,'RAI'),
 (5,3,'MAS'),
 (5,4,'VET'),
 (5,5,'WEB'),
 (5,6,'ROS'),
 (5,7,'RES'),
 (5,8,'BUT'),
 (5,9,'PER'),
 (5,10,'RIC'),
 (6,1,'ROS'),
 (6,2,'VET'),
 (6,3,'WEB'),
 (6,4,'HAM'),
 (6,5,'SUT'),
 (6,6,'BUT'),
 (6,7,'ALO'),
 (6,8,'VER'),
 (6,9,'RES'),
 (6,10,'RAI'),
 (7,1,'VET'),
 (7,2,'ALO'),
 (7,3,'HAM'),
 (7,4,'WEB'),
 (7,5,'ROS'),
 (7,6,'VER'),
 (7,7,'RES'),
 (7,8,'MAS'),
 (7,9,'RAI'),
 (7,10,'SUT'),
 (8,1,'ROS'),
 (8,2,'WEB'),
 (8,3,'ALO'),
 (8,4,'HAM'),
 (8,5,'RAI'),
 (8,6,'MAS'),
 (8,7,'SUT'),
 (8,8,'RIC'),
 (8,9,'RES'),
 (8,10,'HUL'),
 (9,1,'VET'),
 (9,2,'RAI'),
 (9,3,'GRO'),
 (9,4,'ALO'),
 (9,5,'HAM'),
 (9,6,'BUT'),
 (9,7,'WEB'),
 (9,8,'PER'),
 (9,9,'ROS'),
 (9,10,'HUL'),
 (10,1,'HAM'),
 (10,2,'RAI'),
 (10,3,'VET'),
 (10,4,'WEB'),
 (10,5,'ALO'),
 (10,6,'GRO'),
 (10,7,'BUT'),
 (10,8,'MAS'),
 (10,9,'PER'),
 (10,10,'MAL'),
 (11,1,'VET'),
 (11,2,'ALO'),
 (11,3,'HAM'),
 (11,4,'ROS'),
 (11,5,'WEB'),
 (11,6,'BUT'),
 (11,7,'MAS'),
 (11,8,'GRO'),
 (11,9,'SUT'),
 (11,10,'RIC'),
 (12,1,'VET'),
 (12,2,'ALO'),
 (12,3,'WEB'),
 (12,4,'MAS'),
 (12,5,'HUL'),
 (12,6,'ROS'),
 (12,7,'RIC'),
 (12,8,'GRO'),
 (12,9,'HAM'),
 (12,10,'BUT'),
 (13,1,'VET'),
 (13,2,'ALO'),
 (13,3,'RAI'),
 (13,4,'ROS'),
 (13,5,'HAM'),
 (13,6,'MAS'),
 (13,7,'BUT'),
 (13,8,'PER'),
 (13,9,'HUL'),
 (13,10,'SUT'),
 (14,1,'VET'),
 (14,2,'RAI'),
 (14,3,'GRO'),
 (14,4,'HUL'),
 (14,5,'HAM'),
 (14,6,'ALO'),
 (14,7,'ROS'),
 (14,8,'BUT'),
 (14,9,'MAS'),
 (14,10,'PER'),
 (15,1,'VET'),
 (15,2,'WEB'),
 (15,3,'GRO'),
 (15,4,'ALO'),
 (15,5,'RAI'),
 (15,6,'HUL'),
 (15,7,'GUT'),
 (15,8,'ROS'),
 (15,9,'BUT'),
 (15,10,'MAS'),
 (16,1,'VET'),
 (16,2,'ROS'),
 (16,3,'GRO'),
 (16,4,'MAS'),
 (16,5,'PER'),
 (16,6,'HAM'),
 (16,7,'RAI'),
 (16,8,'RES'),
 (16,9,'SUT'),
 (16,10,'RIC'),
 (17,1,'VET'),
 (17,2,'WEB'),
 (17,3,'ROS'),
 (17,4,'GRO'),
 (17,5,'ALO'),
 (17,6,'RES'),
 (17,7,'HAM'),
 (17,8,'MAS'),
 (17,9,'PER'),
 (17,10,'SUT'),
 (18,1,'VET'),
 (18,2,'GRO'),
 (18,3,'WEB'),
 (18,4,'HAM'),
 (18,5,'ALO'),
 (18,6,'HUL'),
 (18,7,'PER'),
 (18,8,'BOT'),
 (18,9,'ROS'),
 (18,10,'BUT'),
 (19,1,'VET'),
 (19,2,'WEB'),
 (19,3,'ALO'),
 (19,4,'BUT'),
 (19,5,'ROS'),
 (19,6,'PER'),
 (19,7,'MAS'),
 (19,8,'HUL'),
 (19,9,'HAM'),
 (19,10,'RIC');
/*!40000 ALTER TABLE `resultados` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
